Bug 133640 - Links and/or headings need a redesign
Summary: Links and/or headings need a redesign
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2020-06-03 16:36 UTC by Adolfo Jayme
Modified: 2020-06-26 13:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 V Stuart Foote 2020-06-03 19:00:16 UTC
Color contrast is kind of low... just the difference in font weight and URL underline on mouseover distinguishes now.
Comment 2 V Stuart Foote 2020-06-03 19:01:17 UTC
How about keeping the Green of the module or Contents heading?
Comment 3 Commit Notification 2020-06-24 22:29:34 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4847445f1d2ba57767dfb3be236b112e7187a04d

tdf#133640 Replace problematic colors to make links discernible
Comment 4 Commit Notification 2020-06-24 22:33:41 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/24a12256d43b4a5adbc1c33a70537ace223fba0a

tdf#133640 Replace problematic colors to make links discernible
Comment 5 Adolfo Jayme 2020-06-24 22:49:38 UTC
I preferred the all-green version too, but thought, let’s not undo Olivier’s and Beatriz’ work here. I settled on making links more distinctive by adding a faint underline in the unhovered state. I also removed the unchanging/hardcoded blues and greens from the CSS, now that they’re used to signal Writer and Calc respectively. Opinions?
Comment 6 Olivier Hallot 2020-06-25 13:24:30 UTC
Why change the donation button colors?

Why making the links <a> color almost unreadable (dim blue)? I hurts my eyes to focus the index and contents text.
Comment 7 Adolfo Jayme 2020-06-26 13:04:46 UTC
(In reply to Olivier Hallot from comment #6)
> Why change the donation button colors?

Repeating myself: because blue and green are now used to represent Writer and Calc, so the generic slate gray (that was part of the palette; it appeared first in the instruction boxes) was chosen for any UI elements that are not specific to Writer or Calc. The gradient was removed simply because I don’t like it and it doesn’t fit with the design of anything else in the site.

> Why making the links <a> color almost unreadable (dim blue)? I hurts my eyes
> to focus the index and contents text.

Hm, no I didn’t? Is your display calibrated correctly? The blue is lighter just a notch, as I simply increased the tint, and just when hovering the link, not on normal state.